# class Tk::BLT::PlotComponent::Legend

### Constants

LegendID_TBL

### Public Class Methods

new(chart, keys={}) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 940
    def initialize(chart, keys={})
      # dummy:: not called by 'new' method

      @parent = @chart = chart
      @cpath = @chart.path
      # Legend::LegendID_TBL[@cpath] = self
      @chart.legend_configure(keys) unless keys.empty?
      @path = @id = 'legend'
    end

new(chart, keys={}) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 924
    def self.new(chart, keys={})
      obj = nil
      LegendID_TBL.mutex.synchronize{
        unless (obj = LegendID_TBL[chart.path])
          (obj = self.allocate).instance_eval{
            @parent = @chart = chart
            @cpath = @chart.path
            @path = @id = 'crosshairs'
            Legend::LegendID_TBL[@cpath] = self
          }
        end
      }
      chart.legend_configure(keys) if obj && ! keys.empty?
      obj
    end

### Public Instance Methods

activate(*args) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 978
    def activate(*args)
      @chart.legend_activate(*args)
    end

cget(option) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 961
    def cget(option)
      @chart.legend_cget(option)
    end

cget_strict(option) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 964
    def cget_strict(option)
      @chart.legend_cget_strict(option)
    end

cget_tkstring(option) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 958
    def cget_tkstring(option)
      @chart.legend_cget_tkstring(option)
    end

configinfo(key=nil) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 971
    def configinfo(key=nil)
      @chart.legend_configinfo(key)
    end

configure(key, value=None) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 967
    def configure(key, value=None)
      @chart.legend_configure(key, value)
      self
    end

current_configinfo(key=nil) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 974
    def current_configinfo(key=nil)
      @chart.current_legend_configinfo(key)
    end

deactivate(*args) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 982
    def deactivate(*args)
      @chart.legend_deactivate(*args)
    end

get(pos, y=nil) click to toggle source

    # File lib/tkextlib/blt/component.rb, line 986
    def get(pos, y=nil)
      @chart.legend_get(pos, y)
    end

id() click to toggle source

    # File lib/tkextlib/blt/component.rb, line 950
    def id
      @id
    end

to_eval() click to toggle source

    # File lib/tkextlib/blt/component.rb, line 954
    def to_eval
      @id
    end